import request from "@/utils/request";

// 查询物理模型数据生成管理列表
export function listPhyModel(query) {
  return request({
    url: "/dataGen/list",
    method: "get",
    params: query,
  });
}

// 查询物理模型数据生成管理详细
export function getPhyModel(id) {
  return request({
    url: "/dataGen/phyModel/" + id,
    method: "get",
  });
}

// 新增物理模型数据生成管理
export function addPhyModel(data) {
  return request({
    url: "/dataGen",
    method: "post",
    data: data,
  });
}

// 修改物理模型数据生成管理
export function updatePhyModel(data) {
  return request({
    url: "/dataGen",
    method: "put",
    data: data,
  });
}

// 删除物理模型数据生成管理
export function delPhyModel(id) {
  return request({
    url: "/dataGen/" + id,
    method: "delete",
  });
}

// 物理模型数据生成getOptions
export function getPhyModelOptions() {
  return request({
    url: "/dataGen/getOptions",
    method: "get",
  });
}
